Subject: Re: RFC: Location for Device Tree Sources?

From: Matthew McClintock <[email-masked]>
Date: Wed, 02 Aug 2006 13:22:55 -0500

On Wed, 2006-08-02 at 11:22 -0700, Mark A. Greer wrote:
> Well, if you're going to keep prebuilt dtb files there, why wouldn't
> you
> want the dts that makes that dtb to be in the same place?
> 

One option is the *just* include the working tested DTB files in the
kernel source. That way there is a method to boot the boards. If you end
user wants to work with a different DTB they can go download the DTS
from another source (or optionally derive the DTS from the DTB) and make
changes.

That way we do not have to include 'dtc' in the kernel, and we still
have a valid DTB for every board included in the kernel. Also, there is
no reason to include both the DTB and DTS in the kernel considering they
can be easily derived from one another using 'dtc'

-Matthew